Cabal-2.0.1.0: A framework for packaging Haskell software

Safe Haskell | None
Language | Haskell2010

Distribution.Types.Executable

Synopsis

- data Executable = Executable {
  - exeName :: UnqualComponentName
  - modulePath :: FilePath
  - exeScope :: ExecutableScope
  - buildInfo :: BuildInfo
  }
- emptyExecutable :: Executable
- exeModules :: Executable -> [ModuleName]
- exeModulesAutogen :: Executable -> [ModuleName]

# Documentation

data Executable #

Constructors

Executable |

Fields

- exeName :: UnqualComponentName
- modulePath :: FilePath
- exeScope :: ExecutableScope
- buildInfo :: BuildInfo

Instances

Eq Executable # |
Methods (==) :: Executable -> Executable -> Bool # (/=) :: Executable -> Executable -> Bool #
Data Executable # |

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Executable -> c Executable Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Executable Source #

toConstr :: Executable -> Constr Source #

dataTypeOf :: Executable -> DataType Source #

dataCast1 :: Typeable (* -> *) t => (forall d. Data d => c (t d)) -> Maybe (c Executable) Source #

dataCast2 :: Typeable (* -> * -> *) t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Executable) Source #

gmapT :: (forall b. Data b => b -> b) -> Executable -> Executable Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Executable -> r Source #

gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Executable -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Executable -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Executable -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Executable -> m Executable Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Executable -> m Executable Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Executable -> m Executable Source #

Read Executable # |
Methods readsPrec :: Int -> ReadS Executable Source # readList :: ReadS [Executable] Source # readPrec :: ReadPrec Executable Source # readListPrec :: ReadPrec [Executable] Source #
Show Executable # |
Methods showsPrec :: Int -> Executable -> ShowS Source # show :: Executable -> String Source # showList :: [Executable] -> ShowS Source #
Generic Executable # |
Associated Types type Rep Executable :: * -> * Source # Methods from :: Executable -> Rep Executable x Source # to :: Rep Executable x -> Executable Source #
Semigroup Executable # |
Methods (<>) :: Executable -> Executable -> Executable Source # sconcat :: NonEmpty Executable -> Executable Source # stimes :: Integral b => b -> Executable -> Executable Source #
Monoid Executable # |
Methods mempty :: Executable Source # mappend :: Executable -> Executable -> Executable Source # mconcat :: [Executable] -> Executable Source #
Binary Executable # |
Methods put :: Executable -> Put Source # get :: Get Executable Source # putList :: [Executable] -> Put Source #
type Rep Executable # |

type Rep Executable = D1 * (MetaData "Executable" "Distribution.Types.Executable" "Cabal-2.0.1.0" False) (C1 * (MetaCons "Executable" PrefixI True) ((:*:) * ((:*:) * (S1 * (MetaSel (Just Symbol "exeName") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * UnqualComponentName)) (S1 * (MetaSel (Just Symbol "modulePath") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * FilePath))) ((:*:) * (S1 * (MetaSel (Just Symbol "exeScope") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * ExecutableScope)) (S1 * (MetaSel (Just Symbol "buildInfo") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * BuildInfo)))))

emptyExecutable :: Executable #

exeModules :: Executable -> [ModuleName] #

Get all the module names from an exe

exeModulesAutogen :: Executable -> [ModuleName] #

Get all the auto generated module names from an exe This are a subset of `exeModules`.